Subject: IPv6 Packet Identification (was: Re: Transmission of IPv6 Jumbograms as Atomic Fragments)

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 19 Nov 2021 20:22:28 +0000

Nick, no - there are no changes to IPv6 involved. All that is being suggested is to
allow the Identification field in the Fragment Header to serve as both a generic
packet identifier as well as to control the fragmentation and reassembly process.
Both RFC6946 and RFC7739 discuss this in detail. I have changed the subject of this
thread because it is really about the bigger picture of IPv6 Packet Identification taken
as a whole, and not just about jumbos.

Fred

> -----Original Message-----
> From: Nick Hilliard [mailto:[email-masked]]
> Sent: Friday, November 19, 2021 10:37 AM
> To: Templin (US), Fred L <[email-masked]>
> Cc: Mark Smith <[email-masked]>; IPv6 List <[email-masked]>
> Subject: Re: [EXTERNAL] Re: Transmission of IPv6 Jumbograms as Atomic Fragments
> 
> EXT email: be mindful of links/attachments.
> 
> 
> 
> Templin (US), Fred L wrote on 19/11/2021 18:01:
> > Mark, stop it with AH – the AERO/OMNI Identification sequence number
> > management scheme has its basis in RFC793. AERO/OMNI make ubiquitous
> > use of the Fragment Header for both fragmentation and packet
> > identification, and adding an AH on every packet is neither needed
> > nor wanted.
> Fred, if ipv6-out-of-the-box doesn't do exactly what AERO/OMNI needs it
> to do, and one of the easier ways to rectify this from the AERO/OMNI
> point of view is to change some bits of ipv6 that are notionally easy to
> change, that doesn't mean that this is necessarily a good idea for ipv6.
> 
> rfc793 specifies tcp, which is a stream-oriented protocol with lots of
> bells and whistles, but it's not ipv6:  it's a protocol which is layered
> on top of IP, so it's not viable to compare generic ipv6 datagram
> transmission with 793.  It looks like your suggestion is to
> short-circuit a couple of things together with the intention of ending
> up with something mid-way between a stream-oriented protocol like tcp,
> but to apply it to datagrams.  I assume the reason is to optimise on
> bandwidth because bandwidth to/from an aircraft is both expensive and
> potentially lossy, and encapsulation is unwelcome overhead.
> 
> Brian noted that packet identifiers are not part of the ipv6
> architecture. The reason is that this introduces state into the
> endpoints and middleboxes, and state is something that is basically
> incompatible with the concept of generic datagram mechanisms.
> 
> Maybe the difficulty here is that there are generic ways of doing what
> you want to do (i.e. stream-oriented transport, packet transmission via
> encapsulation, etc), but the cost of these is higher than you would want
> in the context of AERO/OMNI?  If so, then this is a difficult problem
> where there's a gap between what expedience hints at and what the
> architecture provides, with no easy way to bridge the gap.
> 
> Nick